import { OnInit, EventEmitter } from '@angular/core';
import { DatePipe } from '@angular/common';
export declare class SimpleDatePickerComponent implements OnInit {
    private datePipe;
    date: string;
    dateChange: EventEmitter<string>;
    dateFormat: string;
    originalDate: Date;
    showDatePicker: boolean;
    selectedDate: Date;
    dateValues: any[];
    months: string[];
    days: string[];
    daysInMonth: number[];
    constructor(datePipe: DatePipe);
    ngOnInit(): void;
    toggle(): void;
    getYears(): number[];
    isSelectedDate(d: any): string;
    private parseDate;
    private build;
    selectDate(d: any): void;
    onDateChange(field: string, value: any): void;
}
